#include "compare.h"

/***************************************************************************/
/* compare								   */
/*									   */
/* Compare two C strings, for greater, lesser or equal status.		   */
/* Comparison is case sensitive.					   */
/*									   */
/***************************************************************************/

int compare( char *a, char *b )
{
  int ans = EQUAL ;		/* assume equal until otherwise noted */
  char c, d ;

  c = d = '\0' ;

  while (c == d) {		/* keep looping while they're equal */
    c = *(a++) ;		/* fetch each character */
    d = *(b++) ;		/* ... */
    if (c == '\0') {		/* string a ended? */
      if (d == '\0')
	return ( EQUAL ) ;
      else
	return ( LESSER ) ;
    } else if (d == '\0') return ( GREATER ) ;
  } /* while */

  /* c != d -- return accordingly */

  if (c < d)
    return ( LESSER ) ;
  else
    return ( GREATER ) ;

} /* compare */
